Package tigase.auth

## Class BruteForceLockerBean.StatHolder

- java.lang.Object
- - tigase.auth.BruteForceLockerBean.StatHolder

- All Implemented Interfaces:
    `TypesConverter.Parcelable`
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.StatHolder
      extends java.lang.Object
      implements TypesConverter.Parcelable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatHolder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `addIP​(java.lang.String ip)` |
    `int` | `addIP​(java.lang.String ip, int value)` |
    `int` | `addJID​(BareJID jid)` |
    `int` | `addJID​(BareJID jid, int value)` |
    `void` | `clear()` |
    `java.lang.String[]` | `encodeToStrings()` |
    `void` | `fillFromString​(java.lang.String[] encoded)` |
    `java.util.Map<java.lang.String,​java.lang.Integer>` | `getIps()` |
    `java.util.Map<BareJID,​java.lang.Integer>` | `getJids()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatHolder

          public StatHolder()

  - ### Method Detail

    - #### getIps

          public java.util.Map<java.lang.String,​java.lang.Integer> getIps()

    - #### getJids

          public java.util.Map<BareJID,​java.lang.Integer> getJids()

    - #### clear

          public void clear()

    - #### addIP

          public int addIP​(java.lang.String ip)

    - #### addJID

          public int addJID​(BareJID jid)

    - #### addIP

          public int addIP​(java.lang.String ip,
                           int value)

    - #### addJID

          public int addJID​(BareJID jid,
                            int value)

    - #### encodeToStrings

          public java.lang.String[] encodeToStrings()

      Specified by:
        `encodeToStrings` in interface `TypesConverter.Parcelable`

    - #### fillFromString

          public void fillFromString​(java.lang.String[] encoded)

      Specified by:
        `fillFromString` in interface `TypesConverter.Parcelable`